Page MenuHomePhabricator

Remove $wgEnablePartialBlocks feature flag
Closed, ResolvedPublic2 Estimated Story PointsMar 12 2020

Description

Following deployment to all production wikis (after a period of time), remove the feature flag.

We'll remove the information banner that is displayed for the most recent adopters of the feature at the same time (T240300).

The flag is used in core, CentralAuth, UploadWizard and WikimediaMessages.

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptJan 15 2020, 8:11 PM
Niharika triaged this task as Medium priority.Jan 15 2020, 10:27 PM
Niharika moved this task from Untriaged to Cards ready to be discussed on the Anti-Harassment board.
Niharika set the point value for this task to 2.Jan 23 2020, 7:09 PM

Change 576079 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] WIP Remove $wgEnablePartialBlocks config and always enable partial blocks

https://gerrit.wikimedia.org/r/576079

Tchanders claimed this task.Mar 2 2020, 4:33 PM

Change 576083 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/UploadWizard@master] Remove setting of $wgEnablePartialBlocks config in test

https://gerrit.wikimedia.org/r/576083

Change 576084 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CentralAuth@master] SpecialCentralAuth: Remove check for $wgEnablePartialBlocks config

https://gerrit.wikimedia.org/r/576084

Change 576086 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[operations/mediawiki-config@master] Remove $wgEnablePartialBlocks config

https://gerrit.wikimedia.org/r/576086

Change 576083 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Remove setting of $wgEnablePartialBlocks config in test

https://gerrit.wikimedia.org/r/576083

Change 576084 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] SpecialCentralAuth: Remove check for $wgEnablePartialBlocks config

https://gerrit.wikimedia.org/r/576084

Change 576079 merged by jenkins-bot:
[mediawiki/core@master] Remove $wgEnablePartialBlocks config and always enable partial blocks

https://gerrit.wikimedia.org/r/576079

ARamirez_WMF set Due Date to Mar 12 2020, 4:00 AM.Mar 13 2020, 6:16 PM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".
dom_walden added a subscriber: dom_walden.

I tried to briefly test each of the parts of the code that have been touched by this change, just to make sure everything appears to be as it was before.

  • Special:Block: Submitting a new partial block and editing an existing partial block.
  • API:Block: Creating a sitewide and partial block.
  • Special:BlockList: Correct block info appears for sitewide and partial blocks.
  • Special:CentralAuth: Tested look of sitewide and partial block info.

Also tested that partial blocks are correctly applied to a blocked user.

Haven't tested:

  • UploadWizard: the change is just to phpunit. The test's results have not changed (I guess).

Testing on https://en.wikipedia.beta.wmflabs.org (various versions starting from MediaWiki 1.35.0-alpha (7531497) 13:28, 16 March 2020).

Tchanders closed this task as Resolved.Mar 20 2020, 12:02 AM

Change 576086 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove $wgEnablePartialBlocks config

https://gerrit.wikimedia.org/r/576086

Mentioned in SAL (#wikimedia-operations) [2020-04-15T14:14:42Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T242912 Remove wgEnablePartialBlocks config, no longer read (duration: 01m 07s)

JJMC89 moved this task from Backlog to Partial blocks on the MediaWiki-Blocks board.